﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace FoodManagement.Models
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    using System.Data.Entity.Core.Objects;
    using System.Linq;
    using global::Food.Model.Model;

    public partial class FoodManagementEntities : DbContext
    {
        public FoodManagementEntities()
            : base("name=FoodManagementEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<Food> Foods { get; set; }
        public virtual DbSet<FoodModel> FoodModels { get; set; }
        public virtual DbSet<AddOrderDetailsModel> AddOrderDetailsModels { get; set; }
        public virtual DbSet<DisplayOrderDetailsModel> DisplayOrderDetailsModels { get; set; }
        public virtual ObjectResult<string> getItems()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<string>("getItems");
        }
    }
}
